@import "../main/global";
@import url('https://fonts.googleapis.com/css?family=Josefin+Sans:400,600,700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Josefin Sans', sans-serif;
}

body {
    background-color: #172a4b;
}

.wrapper {
    margin: 10px;
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    padding: 20px;
    color: #333333;

    .table_title {
        background-color: white;
        padding: 15px 20px;
        margin-bottom: 15px;
        text-align: center;
        font-size: 20px;
        font-weight: 700;
        text-transform: uppercase;
        letter-spacing: 3px;
        border-radius: 3px;
    }

    .table_header {
        color: #a1a1a1;

        .item_wrap {
            border-top-right-radius: 3px;
            border-top-left-radius: 3px;
        }
    }

    .item_wrap {
        background-color: white;
        border-bottom: 1px solid #e0e0e0;
        padding: 15px 20px;
        display: flex;
        justify-content: space-between;
        height: 60px;
        align-items: center;

        .item {
            width: 18%;

            &.item_id {
                width: 12%;
                display: flex;
            }

            &.item_cost {
                width: 12%;

                .cost_wrap {
                    display: flex;
                    width: 40px;
                    justify-content: space-between;
                }
            }

            &.item_order {
                width: 28%;
            }

            &.item_status {
                span {
                    background-color: #cbe4f8;
                    padding: 3px 10px;
                }

                &.process span {
                    color: #0477ca;
                }

                &.error span {
                    color: #e65655;
                }

                &.delivered span {
                    color: #3a9d89;
                }

                &.shipping span {
                    color: #ec7519;
                }
            }

            .checkbox {
                display: block;
                border: 1px solid #e0e0e0;
                width: 13px;
                height: 13px;
                border-radius: 2px;
                position: relative;
                cursor: pointer;

                .input {
                    position: absolute;
                    opacity: 0;
                    cursor: pointer;
                    width: 0;
                    height: 0;

                    &:checked ~ .mark {
                        display: block;
                    }
                }

                .mark {
                    position: absolute;
                    top: -1px;
                    left: -1px;
                    border: 1px solid #172a4b;
                    width: 13px;
                    height: 13px;
                    border-radius: 2px;
                    display: none;

                    &:after {
                        content: "";
                        position: absolute;
                        top: 2px;
                        left: 2px;
                        width: 5px;
                        height: 3px;
                        border: 2px solid #172a4b;
                        border-top: 0px;
                        border-right: 0px;
                        transform: rotate(-45deg);
                    }
                }
            }

            .checkbox_wrap {
                margin-right: 5px;
                width: 15px;
            }

            &.item_name p,
            &.item_order p {
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }

            @media (max-width: 600px) {
                width: 25%;

                &.item_order {
                    display: none;
                }
            }

            @media (max-width: 450px) {
                width: 33%;

                &.item_cost {
                    display: none;
                }
            }
        }
    }

    .table_body {
        .item_wrap {
            cursor: pointer;

            &:hover {
                background-color: #eaeff9;
            }

            &:last-child {
                border-bottom-right-radius: 3px;
                border-bottom-left-radius: 3px;
            }
        }
    }
}